libetonyek::NUM3Parser Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::NUM3Parser Class Reference

`#include <NUM3Parser.h>`

Inheritance diagram for libetonyek::NUM3Parser:

## Public Member Functions
| NUM3Parser (const RVNGInputStreamPtr_t &fragments, const RVNGInputStreamPtr_t &package, NUMCollector &collector)
Public Member Functions inherited from libetonyek::IWAParser
| IWAParser (const RVNGInputStreamPtr_t &fragments, const RVNGInputStreamPtr_t &package, IWORKCollector &collector)
virtual | ~IWAParser ()
bool | parse ()

## Private Member Functions
bool | parseDocument () override
bool | parseShapePlacement (const IWAMessage &msg, IWORKGeometryPtr_t &geometry, boost::optional< unsigned > &flags) override
bool | parseStickyNote (const IWAMessage &msg) override
bool | parseSheet (unsigned id)

## Private Attributes
NUMCollector & | m_collector

## Additional Inherited Members
Protected Types inherited from libetonyek::IWAParser
typedef std::map< unsigned, IWORKStylePtr_t > | StyleMap_t
typedef std::function< void(unsigned, IWORKStylePtr_t &)> | StyleParseFun_t
Protected Member Functions inherited from libetonyek::IWAParser
bool | readFill (const IWAMessage &msg, IWORKFill &fill)
bool | dispatchShape (unsigned id)
bool | dispatchShapeWithMessage (const IWAMessage &msg, unsigned type)
bool | parseText (unsigned id, bool createNoteAsFootnote=true, const std::function< void(unsigned, IWORKStylePtr_t)> &openPageSpan=nullptr)
void | parseComment (unsigned id)
void | parseAuthorInComment (unsigned id)
void | parseCustomFormat (unsigned id)
void | parseMask (unsigned id, IWORKGeometryPtr_t &geometry, IWORKPathPtr_t &path)
void | updateGeometryUsingTextRef (unsigned id, IWORKGeometry &geometry, unsigned flags)
const IWORKStylePtr_t | queryCharacterStyle (unsigned id) const
const IWORKStylePtr_t | queryDropCapStyle (unsigned id) const
const IWORKStylePtr_t | queryParagraphStyle (unsigned id) const
const IWORKStylePtr_t | querySectionStyle (unsigned id) const
const IWORKStylePtr_t | queryGraphicStyle (unsigned id) const
const IWORKStylePtr_t | queryMediaStyle (unsigned id) const
const IWORKStylePtr_t | queryCellStyle (unsigned id) const
const IWORKStylePtr_t | queryTableStyle (unsigned id) const
const IWORKStylePtr_t | queryListStyle (unsigned id) const
const IWORKStylePtr_t | queryStyle (unsigned id, StyleMap_t &styleMap, StyleParseFun_t parse) const
boost::optional< unsigned > | getObjectType (unsigned id) const
Static Protected Member Functions inherited from libetonyek::IWAParser
static boost::optional< unsigned > | readRef (const IWAMessage &msg, unsigned field)
static std::deque< unsigned > | readRefs (const IWAMessage &msg, unsigned field)
static boost::optional< IWORKPosition > | readPosition (const IWAMessage &msg, unsigned field)
static boost::optional< IWORKSize > | readSize (const IWAMessage &msg, unsigned field)
static boost::optional< IWORKColor > | readColor (const IWAMessage &msg, unsigned field)
static boost::optional< std::string > | readUUID (const IWAMessage &msg, unsigned field)
static boost::optional< uint64_t > | readUID (const IWAMessage &msg, unsigned field)
static std::deque< uint64_t > | readUIDs (const IWAMessage &msg, unsigned field)
static void | readStroke (const IWAMessage &msg, IWORKStroke &stroke)
static void | readGradient (const IWAMessage &msg, IWORKGradient &gradient)
static void | readShadow (const IWAMessage &msg, IWORKShadow &shadow)
static void | readPadding (const IWAMessage &msg, IWORKPadding &padding)
static void | readDropCap (const IWAMessage &msg, IWORKDropCap &cap)
Protected Attributes inherited from libetonyek::IWAParser
IWORKFormatNameMap | m_formatNameMap
IWORKLanguageManager | m_langManager
IWORKTableNameMapPtr_t | m_tableNameMap
std::shared_ptr< IWORKText > | m_currentText

## Constructor & Destructor Documentation

## ◆ NUM3Parser()

libetonyek::NUM3Parser::NUM3Parser | ( | const RVNGInputStreamPtr_t & | fragments,
|  | const RVNGInputStreamPtr_t & | package,
|  | NUMCollector & | collector )

## Member Function Documentation

## ◆ parseDocument()

bool libetonyek::NUM3Parser::parseDocument | ( |  | ) |
| overrideprivatevirtual

Implements libetonyek::IWAParser.

## ◆ parseShapePlacement()

bool libetonyek::NUM3Parser::parseShapePlacement | ( | const IWAMessage & | msg,
|  | IWORKGeometryPtr_t & | geometry,
|  | boost::optional< unsigned > & | flags )
| overrideprivatevirtual

Reimplemented from libetonyek::IWAParser.

## ◆ parseSheet()

bool libetonyek::NUM3Parser::parseSheet | ( | unsigned | id | ) |
| private

Referenced by parseDocument().

## ◆ parseStickyNote()

bool libetonyek::NUM3Parser::parseStickyNote | ( | const IWAMessage & | msg | ) |
| overrideprivatevirtual

Reimplemented from libetonyek::IWAParser.

## Member Data Documentation

## ◆ m_collector

NUMCollector& libetonyek::NUM3Parser::m_collector
| private

Referenced by parseDocument(), parseSheet(), and parseStickyNote().

The documentation for this class was generated from the following files:

- NUM3Parser.h
- NUM3Parser.cpp